// Cache the JSON data
var cachedData;

// When the document is ready, setup the page
$(document).ready(function(){
    $.getJSON('chevrolet.json', function(data){
        cachedData = data;
        filterCachedData();
    });

    $('.filter-type').on('change', function(){
        filterCachedData();

/* show lightbox when clicking a thumbnail */
$('a.thumb').click(function(event){
    event.preventDefault();
    var content = $('.modal-body');
    content.empty();
      var title = $(this).attr("title");
      $('.modal-title').html(title);      	
      content.html($(this).html());
      $(".modal-profile").modal({show:true});
});

});

    });

function filterCachedData()
{
    // Get the types of vehicles selected
    var filterTypes = [],
        vehicleMatchCount = 0;

    $('.filter-type:checked').each(function (i, type)
    {
        filterTypes.push(type.value);
    });

    // Clear the match list
    $('#vehicleMatches').html('');

    // Render the matches
    $.each(cachedData, function(type, vehicles)
    {
        if (filterTypes.length === 0 || filterTypes.indexOf(type) !== -1)
        {
            $.each(vehicles, function(i, vehicle)
            {
                vehicleMatchCount++;

                var template = $('#templateVehicle').html();
                template = $(template);
                $('#vehicleImage', template).removeAttr('id').attr('src', 'img/' + vehicle.year + '_Chevrolet_' + vehicle.model + '_' + vehicle.color + '.jpg');
                $('#vehicleTitle', template).removeAttr('id').html(vehicle.year + ' ' + vehicle.model + ' (' + vehicle.color + ')');
                $('#vehiclePrice', template).removeAttr('id').html('$' + vehicle.price);
                $('#vehicleMatches').append(template);
            });
        }
    });

    $('#vehicleMatchCount').html(vehicleMatchCount);
}
